// java wrapper for vtkResourceFileLocator object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkResourceFileLocator.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <sstream>
extern "C" JNIEXPORT void* vtkObject_Typecast(void* op,char* dType);

extern "C" JNIEXPORT void* vtkResourceFileLocator_Typecast(void* me,char* dType)
{
  void* res;
  if (!strcmp("vtkResourceFileLocator",dType)) { return me; }
  if ((res= vtkObject_Typecast(me,dType)) != nullptr) { return res; }
  return nullptr;
}


extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkResourceFileLocator_IsTypeOf_10(JNIEnv* env, jobject obj, jbyteArray id0, jint len0)
{
  char * temp0;
  int   temp20;
  temp0 = vtkJavaUTF8ToChars(env, id0, len0);

  vtkResourceFileLocator* op = static_cast<vtkResourceFileLocator*>(vtkJavaGetPointerFromObject(env, obj));
  temp20 = op->IsTypeOf(temp0);
  delete[] temp0;
  return temp20;

}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkResourceFileLocator_IsA_11(JNIEnv* env, jobject obj, jbyteArray id0, jint len0)
{
  char * temp0;
  int   temp20;
  temp0 = vtkJavaUTF8ToChars(env, id0, len0);

  vtkResourceFileLocator* op = static_cast<vtkResourceFileLocator*>(vtkJavaGetPointerFromObject(env, obj));
  temp20 = op->IsA(temp0);
  delete[] temp0;
  return temp20;

}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkResourceFileLocator_GetNumberOfGenerationsFromBaseType_12(JNIEnv* env, jobject obj, jbyteArray id0, jint len0)
{
  char * temp0;
  long long   temp20;
  temp0 = vtkJavaUTF8ToChars(env, id0, len0);

  vtkResourceFileLocator* op = static_cast<vtkResourceFileLocator*>(vtkJavaGetPointerFromObject(env, obj));
  temp20 = op->GetNumberOfGenerationsFromBaseType(temp0);
  delete[] temp0;
  return temp20;

}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkResourceFileLocator_GetNumberOfGenerationsFromBase_13(JNIEnv* env, jobject obj, jbyteArray id0, jint len0)
{
  char * temp0;
  long long   temp20;
  temp0 = vtkJavaUTF8ToChars(env, id0, len0);

  vtkResourceFileLocator* op = static_cast<vtkResourceFileLocator*>(vtkJavaGetPointerFromObject(env, obj));
  temp20 = op->GetNumberOfGenerationsFromBase(temp0);
  delete[] temp0;
  return temp20;

}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkResourceFileLocator_SetPrintDebugInformation_14(JNIEnv* env, jobject obj,jboolean id0)
{
  bool   temp0;
  temp0 = (id0 != 0) ? true : false;

  vtkResourceFileLocator* op = static_cast<vtkResourceFileLocator*>(vtkJavaGetPointerFromObject(env, obj));
  op->SetPrintDebugInformation(temp0);

}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkResourceFileLocator_GetPrintDebugInformation_15(JNIEnv* env, jobject obj)
{
  bool   temp20;

  vtkResourceFileLocator* op = static_cast<vtkResourceFileLocator*>(vtkJavaGetPointerFromObject(env, obj));
  temp20 = op->GetPrintDebugInformation();
  return temp20;

}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkResourceFileLocator_PrintDebugInformationOn_16(JNIEnv* env, jobject obj)
{

  vtkResourceFileLocator* op = static_cast<vtkResourceFileLocator*>(vtkJavaGetPointerFromObject(env, obj));
  op->PrintDebugInformationOn();

}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkResourceFileLocator_PrintDebugInformationOff_17(JNIEnv* env, jobject obj)
{

  vtkResourceFileLocator* op = static_cast<vtkResourceFileLocator*>(vtkJavaGetPointerFromObject(env, obj));
  op->PrintDebugInformationOff();

}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkResourceFileLocator_SetLogVerbosity_18(JNIEnv* env, jobject obj,jint id0)
{
  int   temp0;
  temp0 = id0;

  vtkResourceFileLocator* op = static_cast<vtkResourceFileLocator*>(vtkJavaGetPointerFromObject(env, obj));
  op->SetLogVerbosity(temp0);

}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkResourceFileLocator_GetLogVerbosity_19(JNIEnv* env, jobject obj)
{
  int   temp20;

  vtkResourceFileLocator* op = static_cast<vtkResourceFileLocator*>(vtkJavaGetPointerFromObject(env, obj));
  temp20 = op->GetLogVerbosity();
  return temp20;

}

extern "C" JNIEXPORT jbyteArray  JNICALL Java_vtk_vtkResourceFileLocator_Locate_110(JNIEnv* env, jobject obj, jbyteArray id0, jint len0, jbyteArray id1, jint len1, jbyteArray id2, jint len2)
{
  std::string temp0;
  std::string temp1;
  std::string temp2;
  std::string   temp20;
  temp0 = vtkJavaUTF8ToString(env, id0, len0);
  temp1 = vtkJavaUTF8ToString(env, id1, len1);
  temp2 = vtkJavaUTF8ToString(env, id2, len2);

  vtkResourceFileLocator* op = static_cast<vtkResourceFileLocator*>(vtkJavaGetPointerFromObject(env, obj));
  temp20 = op->Locate(temp0,temp1,temp2);
  return vtkJavaStringToUTF8(env, temp20);

}

extern "C" JNIEXPORT jbyteArray  JNICALL Java_vtk_vtkResourceFileLocator_GetLibraryPathForSymbolUnix_111(JNIEnv* env, jobject obj, jbyteArray id0, jint len0)
{
  char * temp0;
  std::string   temp20;
  temp0 = vtkJavaUTF8ToChars(env, id0, len0);

  vtkResourceFileLocator* op = static_cast<vtkResourceFileLocator*>(vtkJavaGetPointerFromObject(env, obj));
  temp20 = op->GetLibraryPathForSymbolUnix(temp0);
  delete[] temp0;
  return vtkJavaStringToUTF8(env, temp20);

}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkResourceFileLocator_VTKInit(JNIEnv*, jobject)
{
  return reinterpret_cast<jlong>(vtkResourceFileLocator::New());
}
