// java wrapper for vtkDistributedPointCloudFilter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkDistributedPointCloudFilter.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <sstream>
extern "C" JNIEXPORT void* vtkPointSetAlgorithm_Typecast(void* op,char* dType);

extern "C" JNIEXPORT void* vtkDistributedPointCloudFilter_Typecast(void* me,char* dType)
{
  void* res;
  if (!strcmp("vtkDistributedPointCloudFilter",dType)) { return me; }
  if ((res= vtkPointSetAlgorithm_Typecast(me,dType)) != nullptr) { return res; }
  return nullptr;
}


extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDistributedPointCloudFilter_IsTypeOf_10(JNIEnv* env, jobject obj, jbyteArray id0, jint len0)
{
  char * temp0;
  int   temp20;
  temp0 = vtkJavaUTF8ToChars(env, id0, len0);

  vtkDistributedPointCloudFilter* op = static_cast<vtkDistributedPointCloudFilter*>(vtkJavaGetPointerFromObject(env, obj));
  temp20 = op->IsTypeOf(temp0);
  delete[] temp0;
  return temp20;

}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDistributedPointCloudFilter_IsA_11(JNIEnv* env, jobject obj, jbyteArray id0, jint len0)
{
  char * temp0;
  int   temp20;
  temp0 = vtkJavaUTF8ToChars(env, id0, len0);

  vtkDistributedPointCloudFilter* op = static_cast<vtkDistributedPointCloudFilter*>(vtkJavaGetPointerFromObject(env, obj));
  temp20 = op->IsA(temp0);
  delete[] temp0;
  return temp20;

}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkDistributedPointCloudFilter_GetNumberOfGenerationsFromBaseType_12(JNIEnv* env, jobject obj, jbyteArray id0, jint len0)
{
  char * temp0;
  long long   temp20;
  temp0 = vtkJavaUTF8ToChars(env, id0, len0);

  vtkDistributedPointCloudFilter* op = static_cast<vtkDistributedPointCloudFilter*>(vtkJavaGetPointerFromObject(env, obj));
  temp20 = op->GetNumberOfGenerationsFromBaseType(temp0);
  delete[] temp0;
  return temp20;

}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkDistributedPointCloudFilter_GetNumberOfGenerationsFromBase_13(JNIEnv* env, jobject obj, jbyteArray id0, jint len0)
{
  char * temp0;
  long long   temp20;
  temp0 = vtkJavaUTF8ToChars(env, id0, len0);

  vtkDistributedPointCloudFilter* op = static_cast<vtkDistributedPointCloudFilter*>(vtkJavaGetPointerFromObject(env, obj));
  temp20 = op->GetNumberOfGenerationsFromBase(temp0);
  delete[] temp0;
  return temp20;

}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDistributedPointCloudFilter_SetController_14(JNIEnv* env, jobject obj,jobject id0)
{
  vtkMultiProcessController * temp0;
  temp0 = static_cast<vtkMultiProcessController*>(vtkJavaGetPointerFromObject(env, id0));

  vtkDistributedPointCloudFilter* op = static_cast<vtkDistributedPointCloudFilter*>(vtkJavaGetPointerFromObject(env, obj));
  op->SetController(temp0);

}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkDistributedPointCloudFilter_GetController_15(JNIEnv* env, jobject obj)
{
  vtkMultiProcessController * temp20;

  vtkDistributedPointCloudFilter* op = static_cast<vtkDistributedPointCloudFilter*>(vtkJavaGetPointerFromObject(env, obj));
  temp20 = op->GetController();
  return reinterpret_cast<jlong>(temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDistributedPointCloudFilter_GetPointsInsideBounds_16(JNIEnv* env, jobject obj,jobject id0,jobject id1,jobject id2,jdoubleArray id3)
{
  vtkMPIController * temp0;
  vtkPointSet * temp1;
  vtkPointSet * temp2;
  double temp3[6];
  temp0 = static_cast<vtkMPIController*>(vtkJavaGetPointerFromObject(env, id0));
  temp1 = static_cast<vtkPointSet*>(vtkJavaGetPointerFromObject(env, id1));
  temp2 = static_cast<vtkPointSet*>(vtkJavaGetPointerFromObject(env, id2));
  env->GetDoubleArrayRegion(id3, 0, 6, &temp3[0]);

  vtkDistributedPointCloudFilter* op = static_cast<vtkDistributedPointCloudFilter*>(vtkJavaGetPointerFromObject(env, obj));
  op->GetPointsInsideBounds(temp0,temp1,temp2,temp3);

}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkDistributedPointCloudFilter_VTKInit(JNIEnv*, jobject)
{
  return reinterpret_cast<jlong>(vtkDistributedPointCloudFilter::New());
}
