// java wrapper for vtkPDataSetGhostGenerator object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkPDataSetGhostGenerator.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <sstream>
extern "C" JNIEXPORT void* vtkDataSetGhostGenerator_Typecast(void* op,char* dType);

extern "C" JNIEXPORT void* vtkPDataSetGhostGenerator_Typecast(void* me,char* dType)
{
  void* res;
  if (!strcmp("vtkPDataSetGhostGenerator",dType)) { return me; }
  if ((res= vtkDataSetGhostGenerator_Typecast(me,dType)) != nullptr) { return res; }
  return nullptr;
}


extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPDataSetGhostGenerator_IsTypeOf_10(JNIEnv* env, jobject obj, jbyteArray id0, jint len0)
{
  char * temp0;
  int   temp20;
  temp0 = vtkJavaUTF8ToChars(env, id0, len0);

  vtkPDataSetGhostGenerator* op = static_cast<vtkPDataSetGhostGenerator*>(vtkJavaGetPointerFromObject(env, obj));
  temp20 = op->IsTypeOf(temp0);
  delete[] temp0;
  return temp20;

}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPDataSetGhostGenerator_IsA_11(JNIEnv* env, jobject obj, jbyteArray id0, jint len0)
{
  char * temp0;
  int   temp20;
  temp0 = vtkJavaUTF8ToChars(env, id0, len0);

  vtkPDataSetGhostGenerator* op = static_cast<vtkPDataSetGhostGenerator*>(vtkJavaGetPointerFromObject(env, obj));
  temp20 = op->IsA(temp0);
  delete[] temp0;
  return temp20;

}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkPDataSetGhostGenerator_GetNumberOfGenerationsFromBaseType_12(JNIEnv* env, jobject obj, jbyteArray id0, jint len0)
{
  char * temp0;
  long long   temp20;
  temp0 = vtkJavaUTF8ToChars(env, id0, len0);

  vtkPDataSetGhostGenerator* op = static_cast<vtkPDataSetGhostGenerator*>(vtkJavaGetPointerFromObject(env, obj));
  temp20 = op->GetNumberOfGenerationsFromBaseType(temp0);
  delete[] temp0;
  return temp20;

}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkPDataSetGhostGenerator_GetNumberOfGenerationsFromBase_13(JNIEnv* env, jobject obj, jbyteArray id0, jint len0)
{
  char * temp0;
  long long   temp20;
  temp0 = vtkJavaUTF8ToChars(env, id0, len0);

  vtkPDataSetGhostGenerator* op = static_cast<vtkPDataSetGhostGenerator*>(vtkJavaGetPointerFromObject(env, obj));
  temp20 = op->GetNumberOfGenerationsFromBase(temp0);
  delete[] temp0;
  return temp20;

}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPDataSetGhostGenerator_SetController_14(JNIEnv* env, jobject obj,jobject id0)
{
  vtkMultiProcessController * temp0;
  temp0 = static_cast<vtkMultiProcessController*>(vtkJavaGetPointerFromObject(env, id0));

  vtkPDataSetGhostGenerator* op = static_cast<vtkPDataSetGhostGenerator*>(vtkJavaGetPointerFromObject(env, obj));
  op->SetController(temp0);

}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkPDataSetGhostGenerator_GetController_15(JNIEnv* env, jobject obj)
{
  vtkMultiProcessController * temp20;

  vtkPDataSetGhostGenerator* op = static_cast<vtkPDataSetGhostGenerator*>(vtkJavaGetPointerFromObject(env, obj));
  temp20 = op->GetController();
  return reinterpret_cast<jlong>(temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPDataSetGhostGenerator_Initialize_16(JNIEnv* env, jobject obj)
{

  vtkPDataSetGhostGenerator* op = static_cast<vtkPDataSetGhostGenerator*>(vtkJavaGetPointerFromObject(env, obj));
  op->Initialize();

}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPDataSetGhostGenerator_Barrier_17(JNIEnv* env, jobject obj)
{

  vtkPDataSetGhostGenerator* op = static_cast<vtkPDataSetGhostGenerator*>(vtkJavaGetPointerFromObject(env, obj));
  op->Barrier();

}
